package com.volcengine.openservice.kafka;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;

public class KafkaConfigurer {

    private static Properties properties;

    public synchronized static Properties getKafkaProperties(String path) {
        if (null != properties) {
            return properties;
        }
        //获取配置文件config.properties的内容
        Properties kafkaProperties = new Properties();
        try {
            FileInputStream conf = new FileInputStream(path);
            kafkaProperties.load(conf);
        } catch (Exception e) {
            //没加载到文件，程序要考虑退出
            e.printStackTrace();
        }
        properties = kafkaProperties;
        return kafkaProperties;
    }
}